function data()
  return {
    guiInit = function()
      --Get HUD from mainView
      local mainView = api.gui.util.getById("mainView")
      local mainViewLayout = mainView:getLayout()
      local a = mainViewLayout:getItem(0)
      local aLayout = a:getLayout()
      local hud = aLayout:getItem(0)
      local hudLayout = hud:getLayout()

      --Create new component to which you can attach the listener
      local myComp = api.gui.comp.Component.new("myComp")
      local rect = api.gui.util.Rect.new(0,0,-1,-1)
      hudLayout:addItem(myComp, rect)

      --Create listener which does something on right button click (type == 2)
      --evt.button: 0 = left, 1 = middle, 2 = right
      myComp:setMouseListener(
        function (evt)
          if evt.type == 2 and evt.button == 2 then
            print("right click")
            return true
          end
          return false
        end
      )
     end,
  }
end
